GIR(1)

NAME
gir - generate rust code from gir files

SYNOPSIS
gir [options] [<library> <version>]

DESCRIPTION

    gir (-h | --help)

OPTIONS

-c, --config CONFIG Config file path (default: Gir.toml)

-h, --help
    Show this message

-d, --girs-directories GIRSPATH
    Directories for GIR files

-m, --mode MODE
    Work mode: doc, normal, sys or not_bound

-o, --target PATH
    Target path

-p, --doc-target-path PATH
    Doc target path

-b, --make-backup
    Make backup before generating

-s, --stats
    Show statistics

--disable-format
    Disable formatting generated code

--check-gir-file PATH
    Check if the given `.gir` file is valid

AUTHOR

Matthias Geiger <werdahias@riseup.net>

COPYRIGHT

Copyright © 2024 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.